/// <reference types="node" />
import { TSDate } from "./tsdate";
import { TSDateForm } from "./tsdatecomp";
import { int, uint, email, url, UUID, isodate, Address, AnyDictionary } from "./types";
export declare function $ok(o: any | undefined | null): boolean;
export declare function $isstring(o: any | null | undefined): boolean;
export declare function $isnumber(o: any | null | undefined): boolean;
export declare function $isint(o: any | null | undefined): boolean;
export declare function $isunsigned(o: any | null | undefined): boolean;
export declare function $isbool(o: any | null | undefined): boolean;
export declare function $isobject(o: any | null | undefined): boolean;
export declare function $isarray(o: any | null | undefined): boolean;
export declare function $intornull(n: string | number | null | undefined): int | null;
export declare function $int(n: string | number | null | undefined, defaultValue?: int): int;
export declare function $email(s: string | null | undefined): email | null;
export declare function $url(s: string | null | undefined): url | null;
export declare function $UUID(s: string | null | undefined): UUID | null;
export declare type IsoDateFormat = TSDateForm.ISO8601C | TSDateForm.ISO8601L | TSDateForm.ISO8601;
export declare function $isodate(s: Date | TSDate | string | null | undefined, format?: IsoDateFormat): isodate | null;
export declare function $address(a: Address | null | undefined): Address | null;
export declare function $unsignedornull(n: string | number | null | undefined): uint | null;
export declare function $unsigned(n: string | number | null | undefined, defaultValue?: uint): uint;
export declare function $div(a: number, b: number): number;
export declare function $string(v: any): string;
export declare function $strings(v: string[] | string | undefined | null): string[];
export declare function $totype<T>(v: any): T | null;
export declare function $trim(s: string | undefined | null): string;
export declare function $fpad2(v: uint): string;
export declare function $fpad3(v: uint): string;
export declare function $fpad4(v: uint): string;
export declare function $fpad(v: uint, pad: number): string;
export declare function $ascii(source: string | undefined | null): string;
export declare function $count(a: any[] | undefined | null): number;
export declare function $length(s: string | Buffer | undefined | null): number;
export declare function $lengthin(s: string | Buffer | undefined | null, min?: number, max?: number): boolean;
export declare function $arraybuffer(buf: Buffer): ArrayBuffer;
export declare function $map<T, R>(a: Array<T> | undefined | null, callBack: (e: T) => R | null | undefined): Array<R>;
export declare function $jsonobj(v: any): any;
export declare function $dict(source: object | null | undefined, keys: string[]): AnyDictionary;
export declare function $includesdict(source: object | null | undefined, dict: AnyDictionary, keys?: string[]): boolean;
export declare function $json(v: any, replacer?: (number | string)[] | null, space?: string | number): string;
