"use strict";
/**
 * 	All File System operations are maint to be in this file
 *  This means that no import of 'fs' module shouls apear elsewere
 *
 *  We also tries to use sync functions in order not to publish async functions
 *  for those basic stiff. It could be changed at any moment
 *  by using fs.promises...
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.$copyFile = exports.$realMoveFile = exports.$removeFile = exports.$writeBuffer = exports.$readBuffer = exports.$writeString = exports.$readString = exports.$loadJSON = exports.$filename = exports.$dir = exports.$newext = exports.$withoutext = exports.$ext = exports.$path = exports.$uniquefile = exports.$temporarypath = exports.$filesize = exports.$createDirectory = exports.$isdirectory = exports.$isexecutable = exports.$isfile = void 0;
const fs_1 = require("fs");
const path_1 = require("path");
const commons_1 = require("./commons");
const tsdefaults_1 = require("./tsdefaults");
const crypto_1 = require("./crypto");
const utils_1 = require("./utils");
function $isfile(src) {
    if ((0, utils_1.$inbrowser)()) {
        throw 'unavailable function in browser';
    }
    let ret = false;
    if ((0, commons_1.$length)(src)) {
        try {
            ret = (0, fs_1.statSync)(src).isFile();
        }
        catch (_a) {
            ret = false;
        }
    }
    return ret;
}
exports.$isfile = $isfile;
function $isexecutable(src) {
    if ((0, utils_1.$inbrowser)()) {
        throw 'unavailable function in browser';
    }
    let ret = false;
    if ((0, commons_1.$length)(src)) {
        try {
            if ((0, fs_1.statSync)(src).isFile()) {
                // we cound use stats.mode but we should take care of who we are, so better to rely on accessSync(-)
                (0, fs_1.accessSync)(src, fs_1.constants.R_OK | fs_1.constants.X_OK);
                ret = true;
            }
        }
        catch (_a) {
            ret = false;
        }
    }
    return ret;
}
exports.$isexecutable = $isexecutable;
function $isdirectory(src) {
    if ((0, utils_1.$inbrowser)()) {
        throw 'unavailable function in browser';
    }
    let ret = false;
    if ((0, commons_1.$length)(src)) {
        try {
            ret = (0, fs_1.statSync)(src).isDirectory();
        }
        catch (_a) {
            ret = false;
        }
    }
    return ret;
}
exports.$isdirectory = $isdirectory;
function $createDirectory(p) {
    if ((0, utils_1.$inbrowser)()) {
        throw 'unavailable function in browser';
    }
    let ret = false;
    if ((0, commons_1.$length)(p)) {
        try {
            const stats = (0, fs_1.statSync)(p);
            ret = stats.isDirectory();
            if (!ret && !stats.isFile()) {
                (0, fs_1.mkdirSync)(p, { recursive: true });
                ret = true;
            }
        }
        catch (_a) {
            ret = false;
        }
    }
    return ret;
}
exports.$createDirectory = $createDirectory;
function $filesize(src) {
    if ((0, utils_1.$inbrowser)()) {
        throw 'unavailable function in browser';
    }
    let ret = 0;
    if ((0, commons_1.$length)(src)) {
        try {
            ret = (0, fs_1.statSync)(src).size;
        }
        catch (_a) {
            ret = 0;
        }
    }
    return ret;
}
exports.$filesize = $filesize;
function $temporarypath(ext = '', src = '') {
    if ((0, utils_1.$inbrowser)()) {
        throw 'unavailable function in browser';
    }
    ext = (0, commons_1.$trim)(ext);
    let file = $uniquefile(src);
    if ((0, commons_1.$length)(ext)) {
        file = $newext(file, ext);
    }
    return $path((0, tsdefaults_1.$tmp)(), file);
}
exports.$temporarypath = $temporarypath;
function $uniquefile(src) {
    if ((0, utils_1.$inbrowser)()) {
        throw 'unavailable function in browser';
    }
    const rand = (0, crypto_1.$uuid)();
    if (!(0, commons_1.$length)(src)) {
        return rand;
    }
    const ext = $ext(src);
    return (0, commons_1.$length)(ext) ? `${$withoutext(src)}-${rand}.${ext}` : `${src}-${rand}`;
}
exports.$uniquefile = $uniquefile;
function $path(...paths) {
    if ((0, utils_1.$inbrowser)()) {
        throw 'unavailable function in browser';
    }
    return (0, path_1.join)(...paths);
}
exports.$path = $path;
function $ext(s) {
    if ((0, commons_1.$length)(s)) {
        if ((0, utils_1.$inbrowser)()) {
            const p = s.lastIndexOf('.');
            return p >= 0 ? s.slice(p + 1) : '';
        }
        else {
            const e = (0, path_1.extname)(s);
            if ((0, commons_1.$length)(e)) {
                return e.slice(1);
            }
        }
    }
    return '';
}
exports.$ext = $ext;
function $withoutext(s) {
    if ((0, utils_1.$inbrowser)()) {
        throw 'unavailable function in browser';
    }
    if (!(0, commons_1.$length)(s)) {
        return '';
    }
    const e = $ext(s);
    s = e.length ? s.slice(0, s.length - e.length) : s;
    return s.length && s.charAt(s.length - 1) === '.' ? s.slice(0, s.length - 1) : s;
}
exports.$withoutext = $withoutext;
function $newext(s, e = undefined) {
    if ((0, utils_1.$inbrowser)()) {
        throw 'unavailable function in browser';
    }
    let b = $withoutext(s);
    return (0, commons_1.$length)(e) ? `${b}.${e}` : b;
}
exports.$newext = $newext;
function $dir(s) {
    if ((0, utils_1.$inbrowser)()) {
        throw 'unavailable function in browser';
    }
    return (0, commons_1.$length)(s) ? (0, path_1.dirname)(s) : '';
}
exports.$dir = $dir;
function $filename(s) {
    if ((0, utils_1.$inbrowser)()) {
        throw 'unavailable function in browser';
    }
    return (0, commons_1.$length)(s) ? (0, path_1.basename)(s) : '';
}
exports.$filename = $filename;
function $loadJSON(src) {
    if ((0, utils_1.$inbrowser)()) {
        throw 'unavailable function in browser';
    }
    let ret = null;
    if ((0, commons_1.$length)(src)) {
        let loadedString = src instanceof Buffer ? src.toString('utf-8') : $readString(src, 'utf-8');
        if ((0, commons_1.$length)(loadedString)) {
            try {
                ret = JSON.parse(loadedString);
                ret = (0, commons_1.$ok)(ret) ? ret : null;
            }
            catch (e) {
                console.log(`Impossible to parse JSON file ${src}`);
                ret = null;
            }
        }
    }
    return ret;
}
exports.$loadJSON = $loadJSON;
function $readString(src, encoding = 'utf-8') {
    if ((0, utils_1.$inbrowser)()) {
        throw 'unavailable function in browser';
    }
    let ret = null;
    if ((0, commons_1.$length)(src)) {
        try {
            ret = (0, fs_1.readFileSync)(src, (0, commons_1.$length)(encoding) ? encoding : 'utf-8');
        }
        catch (e) {
            ret = null;
        }
    }
    return ret;
}
exports.$readString = $readString;
function $writeString(src, str, encoding = 'utf-8') {
    if ((0, utils_1.$inbrowser)()) {
        throw 'unavailable function in browser';
    }
    let done = false;
    if ((0, commons_1.$length)(src)) {
        try {
            (0, fs_1.writeFileSync)(src, str, (0, commons_1.$length)(encoding) ? encoding : 'utf-8');
            done = true;
        }
        catch (e) {
            done = false;
        }
    }
    return done;
}
exports.$writeString = $writeString;
function $readBuffer(src) {
    if ((0, utils_1.$inbrowser)()) {
        throw 'unavailable function in browser';
    }
    let ret = null;
    if ((0, commons_1.$length)(src)) {
        try {
            ret = (0, fs_1.readFileSync)(src);
        } // readFile without any encoding option returns a buffer
        catch (e) {
            ret = null;
        }
    }
    return ret;
}
exports.$readBuffer = $readBuffer;
function $writeBuffer(src, buf) {
    if ((0, utils_1.$inbrowser)()) {
        throw 'unavailable function in browser';
    }
    let done = false;
    if ((0, commons_1.$length)(src)) {
        try {
            (0, fs_1.writeFileSync)(src, buf);
            done = true;
        }
        catch (e) {
            done = false;
        }
    }
    return done;
}
exports.$writeBuffer = $writeBuffer;
function $removeFile(src) {
    if ((0, utils_1.$inbrowser)()) {
        throw 'unavailable function in browser';
    }
    let done = false;
    if ($isfile(src)) {
        try {
            (0, fs_1.unlinkSync)(src);
            done = true;
        }
        catch (e) {
            done = false;
        }
    }
    return done;
}
exports.$removeFile = $removeFile;
/*
    src is a file
    dest is a file or a directory
    if it's a directory, it must exist and the src filename is used
 */
function $realMoveFile(src, dest) {
    if ((0, utils_1.$inbrowser)()) {
        throw 'unavailable function in browser';
    }
    let done = false;
    if ((0, commons_1.$length)(src) && (0, commons_1.$length)(dest) && src !== dest && $isfile(src)) {
        if ($isdirectory(dest)) {
            dest = $path(dest, $filename(src));
            if (src === dest) {
                return false;
            }
        }
        try {
            (0, fs_1.renameSync)(src, dest);
            done = true;
        }
        catch (_a) {
            done = false;
        }
        if (!done) {
            // rename function did not work, so we will try to copy
            // the file
            try {
                (0, fs_1.copyFileSync)(src, dest);
                (0, fs_1.unlinkSync)(src);
                done = true;
            }
            catch (_b) {
                done = false;
            } // WARNING: if we fails here, we may made the copy() but not the unlink()
        }
    }
    return done;
}
exports.$realMoveFile = $realMoveFile;
function $copyFile(src, dest, overwrite = false) {
    if ((0, utils_1.$inbrowser)()) {
        throw 'unavailable function in browser';
    }
    let done = false;
    if ((0, commons_1.$length)(src) && (0, commons_1.$length)(dest) && src !== dest && $isfile(src)) {
        if ($isdirectory(dest)) {
            dest = $path(dest, $filename(src));
        }
        if (src === dest || $isdirectory(dest) || (!overwrite && $isfile(dest))) {
            return false;
        }
        try {
            (0, fs_1.copyFileSync)(src, dest, (overwrite ? 0 : fs_1.constants.COPYFILE_EXCL));
            done = true;
        }
        catch (_a) {
            done = false;
        }
    }
    return done;
}
exports.$copyFile = $copyFile;
//# sourceMappingURL=fs.js.map