import { Locales } from './tsdefaults';
import { TSRootObject } from './tsobject';
import { country, currency, language, StringTranslation } from './types';
/**
 *  WARNING ABOUT countries.json
 *  - Ireland has no localeLanguage : our EULocale is used
 *    instead en language to match a better date format conformance
 *  - There's no US country there since the managed countries are
 *    maint to be the european ones. It may evolve in time.
 */
export declare class TSCountry extends TSRootObject<TSCountry> {
    private static __countriesMap;
    private static __countries;
    private static __EULocale;
    alpha2Code: country;
    alpha3Code: string;
    names: StringTranslation;
    spokenLanguages: language[];
    domains: string[];
    EEC: boolean;
    dialCode: string;
    currency: currency;
    locales: Locales;
    private constructor();
    static loadCountries(localesMap: Map<string, Locales>, managedLanguages: language[]): void;
    static country(c: country | string | undefined | null): TSCountry | null;
    static countries(): TSCountry[];
    get name(): string;
    get language(): language;
    get languageName(): string;
    translatedName(lang?: language | null | undefined): string | null;
    toString(): string;
    toJSON(): any;
}
