"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TSRootObject = void 0;
const commons_1 = require("./commons");
const types_1 = require("./types");
class TSRootObject {
    get isa() { return this.constructor; }
    get className() { return this.constructor.name; }
    compare(other) { return this.isEqual(other) ? types_1.Same : undefined; }
    isEqual(other) { return this === other; }
    toString() { return (0, commons_1.$json)(this); }
    toJSON() {
        const keys = Object.getOwnPropertyNames(this);
        let ret = {};
        for (let k of keys) {
            ret[k] = (0, commons_1.$jsonobj)(this[k]);
        }
        return ret;
    }
    toArray() { return [this]; }
}
exports.TSRootObject = TSRootObject;
//# sourceMappingURL=tsobject.js.map