"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Currencies = exports.Languages = exports.Countries = exports.Descending = exports.Same = exports.Ascending = exports.urlRegex = exports.emailRegex = exports.uuidRegex = exports.FREE = exports.MONEY_MAX = exports.MONEY_MIN = exports.UINT_MIN = exports.UINT_MAX = exports.UINT32_MIN = exports.UINT32_MAX = exports.UINT16_MIN = exports.UINT16_MAX = exports.UINT8_MIN = exports.UINT8_MAX = exports.INT_MIN = exports.INT_MAX = exports.INT32_MIN = exports.INT32_MAX = exports.INT16_MIN = exports.INT16_MAX = exports.INT8_MIN = exports.INT8_MAX = void 0;
exports.INT8_MAX = 0x7f;
exports.INT8_MIN = (-exports.INT8_MAX - 1);
exports.INT16_MAX = 0x7fff;
exports.INT16_MIN = (-exports.INT16_MAX - 1);
exports.INT32_MAX = 0x7fffffff;
exports.INT32_MIN = (-exports.INT32_MAX - 1);
exports.INT_MAX = (Number.MAX_SAFE_INTEGER - 1);
exports.INT_MIN = (Number.MIN_SAFE_INTEGER + 1);
exports.UINT8_MAX = 0xff;
exports.UINT8_MIN = 0;
exports.UINT16_MAX = 0xffff;
exports.UINT16_MIN = 0;
exports.UINT32_MAX = 0xffffffff;
exports.UINT32_MIN = 0;
exports.UINT_MAX = (Number.MAX_SAFE_INTEGER - 1);
exports.UINT_MIN = 0;
exports.MONEY_MIN = -999999999;
exports.MONEY_MAX = +999999999;
exports.FREE = 0;
exports.uuidRegex = /^[A-F\d]{8}-[A-F\d]{4}-[A-F\d]{4}-[A-F\d]{4}-[A-F\d]{12}$/i;
exports.emailRegex = /^(([^<>()\[\]\.,;:\s@\"]+(\.[^<>()\[\]\.,;:\s@\"]+)*)|(\".+\"))@(([^<>()\.,;\s@\"]+\.{0,1})+([^<>()\.,;:\s@\"]{2,}|[\d\.]+))$/;
exports.urlRegex = /^(?:(?:(?:https?|ftp):)?\/\/)(?:\S+(?::\S*)?@)?(?:(?!(?:10|127)(?:\.\d{1,3}){3})(?!(?:169\.254|192\.168)(?:\.\d{1,3}){2})(?!172\.(?:1[6-9]|2\d|3[0-1])(?:\.\d{1,3}){2})(?:[1-9]\d?|1\d\d|2[01]\d|22[0-3])(?:\.(?:1?\d{1,2}|2[0-4]\d|25[0-5])){2}(?:\.(?:[1-9]\d?|1\d\d|2[0-4]\d|25[0-4]))|(?:(?:[a-z0-9\u00a1-\uffff][a-z0-9\u00a1-\uffff_-]{0,62})?[a-z0-9\u00a1-\uffff]\.)+(?:[a-z\u00a1-\uffff]{2,}\.?))(?::\d{2,5})?(?:[/?#]\S*)?$/i;
// ========== comparison types =====================
exports.Ascending = -1;
exports.Same = 0;
exports.Descending = 1;
// ========== enumerated types =====================
// ISO 3166-1 alpha-2
var Countries;
(function (Countries) {
    Countries["AC"] = "AC";
    Countries["AD"] = "AD";
    Countries["AE"] = "AE";
    Countries["AF"] = "AF";
    Countries["AG"] = "AG";
    Countries["AI"] = "AI";
    Countries["AL"] = "AL";
    Countries["AM"] = "AM";
    Countries["AO"] = "AO";
    Countries["AR"] = "AR";
    Countries["AS"] = "AS";
    Countries["AT"] = "AT";
    Countries["AU"] = "AU";
    Countries["AW"] = "AW";
    Countries["AX"] = "AX";
    Countries["AZ"] = "AZ";
    Countries["BA"] = "BA";
    Countries["BB"] = "BB";
    Countries["BD"] = "BD";
    Countries["BE"] = "BE";
    Countries["BF"] = "BF";
    Countries["BG"] = "BG";
    Countries["BH"] = "BH";
    Countries["BI"] = "BI";
    Countries["BJ"] = "BJ";
    Countries["BL"] = "BL";
    Countries["BM"] = "BM";
    Countries["BN"] = "BN";
    Countries["BO"] = "BO";
    Countries["BQ"] = "BQ";
    Countries["BR"] = "BR";
    Countries["BS"] = "BS";
    Countries["BT"] = "BT";
    Countries["BW"] = "BW";
    Countries["BY"] = "BY";
    Countries["BZ"] = "BZ";
    Countries["CA"] = "CA";
    Countries["CC"] = "CC";
    Countries["CD"] = "CD";
    Countries["CF"] = "CF";
    Countries["CG"] = "CG";
    Countries["CH"] = "CH";
    Countries["CI"] = "CI";
    Countries["CK"] = "CK";
    Countries["CL"] = "CL";
    Countries["CM"] = "CM";
    Countries["CN"] = "CN";
    Countries["CO"] = "CO";
    Countries["CR"] = "CR";
    Countries["CU"] = "CU";
    Countries["CV"] = "CV";
    Countries["CW"] = "CW";
    Countries["CX"] = "CX";
    Countries["CY"] = "CY";
    Countries["CZ"] = "CZ";
    Countries["DE"] = "DE";
    Countries["DJ"] = "DJ";
    Countries["DK"] = "DK";
    Countries["DM"] = "DM";
    Countries["DO"] = "DO";
    Countries["DZ"] = "DZ";
    Countries["EC"] = "EC";
    Countries["EE"] = "EE";
    Countries["EG"] = "EG";
    Countries["EH"] = "EH";
    Countries["ER"] = "ER";
    Countries["ES"] = "ES";
    Countries["ET"] = "ET";
    Countries["FI"] = "FI";
    Countries["FJ"] = "FJ";
    Countries["FK"] = "FK";
    Countries["FM"] = "FM";
    Countries["FO"] = "FO";
    Countries["FR"] = "FR";
    Countries["GA"] = "GA";
    Countries["GB"] = "GB";
    Countries["GD"] = "GD";
    Countries["GE"] = "GE";
    Countries["GF"] = "GF";
    Countries["GG"] = "GG";
    Countries["GH"] = "GH";
    Countries["GI"] = "GI";
    Countries["GL"] = "GL";
    Countries["GM"] = "GM";
    Countries["GN"] = "GN";
    Countries["GP"] = "GP";
    Countries["GQ"] = "GQ";
    Countries["GR"] = "GR";
    Countries["GT"] = "GT";
    Countries["GU"] = "GU";
    Countries["GW"] = "GW";
    Countries["GY"] = "GY";
    Countries["HK"] = "HK";
    Countries["HN"] = "HN";
    Countries["HR"] = "HR";
    Countries["HT"] = "HT";
    Countries["HU"] = "HU";
    Countries["ID"] = "ID";
    Countries["IE"] = "IE";
    Countries["IL"] = "IL";
    Countries["IM"] = "IM";
    Countries["IN"] = "IN";
    Countries["IO"] = "IO";
    Countries["IQ"] = "IQ";
    Countries["IR"] = "IR";
    Countries["IS"] = "IS";
    Countries["IT"] = "IT";
    Countries["JE"] = "JE";
    Countries["JM"] = "JM";
    Countries["JO"] = "JO";
    Countries["JP"] = "JP";
    Countries["KE"] = "KE";
    Countries["KG"] = "KG";
    Countries["KH"] = "KH";
    Countries["KI"] = "KI";
    Countries["KM"] = "KM";
    Countries["KN"] = "KN";
    Countries["KP"] = "KP";
    Countries["KR"] = "KR";
    Countries["KW"] = "KW";
    Countries["KY"] = "KY";
    Countries["KZ"] = "KZ";
    Countries["LA"] = "LA";
    Countries["LB"] = "LB";
    Countries["LC"] = "LC";
    Countries["LI"] = "LI";
    Countries["LK"] = "LK";
    Countries["LR"] = "LR";
    Countries["LS"] = "LS";
    Countries["LT"] = "LT";
    Countries["LU"] = "LU";
    Countries["LV"] = "LV";
    Countries["LY"] = "LY";
    Countries["MA"] = "MA";
    Countries["MC"] = "MC";
    Countries["MD"] = "MD";
    Countries["ME"] = "ME";
    Countries["MF"] = "MF";
    Countries["MG"] = "MG";
    Countries["MH"] = "MH";
    Countries["MK"] = "MK";
    Countries["ML"] = "ML";
    Countries["MM"] = "MM";
    Countries["MN"] = "MN";
    Countries["MO"] = "MO";
    Countries["MP"] = "MP";
    Countries["MQ"] = "MQ";
    Countries["MR"] = "MR";
    Countries["MS"] = "MS";
    Countries["MT"] = "MT";
    Countries["MU"] = "MU";
    Countries["MV"] = "MV";
    Countries["MW"] = "MW";
    Countries["MX"] = "MX";
    Countries["MY"] = "MY";
    Countries["MZ"] = "MZ";
    Countries["NA"] = "NA";
    Countries["NC"] = "NC";
    Countries["NE"] = "NE";
    Countries["NF"] = "NF";
    Countries["NG"] = "NG";
    Countries["NI"] = "NI";
    Countries["NL"] = "NL";
    Countries["NO"] = "NO";
    Countries["NP"] = "NP";
    Countries["NR"] = "NR";
    Countries["NU"] = "NU";
    Countries["NZ"] = "NZ";
    Countries["OM"] = "OM";
    Countries["PA"] = "PA";
    Countries["PE"] = "PE";
    Countries["PF"] = "PF";
    Countries["PG"] = "PG";
    Countries["PH"] = "PH";
    Countries["PK"] = "PK";
    Countries["PL"] = "PL";
    Countries["PM"] = "PM";
    Countries["PR"] = "PR";
    Countries["PS"] = "PS";
    Countries["PT"] = "PT";
    Countries["PW"] = "PW";
    Countries["PY"] = "PY";
    Countries["QA"] = "QA";
    Countries["RE"] = "RE";
    Countries["RO"] = "RO";
    Countries["RS"] = "RS";
    Countries["RU"] = "RU";
    Countries["RW"] = "RW";
    Countries["SA"] = "SA";
    Countries["SB"] = "SB";
    Countries["SC"] = "SC";
    Countries["SD"] = "SD";
    Countries["SE"] = "SE";
    Countries["SG"] = "SG";
    Countries["SH"] = "SH";
    Countries["SI"] = "SI";
    Countries["SJ"] = "SJ";
    Countries["SK"] = "SK";
    Countries["SL"] = "SL";
    Countries["SM"] = "SM";
    Countries["SN"] = "SN";
    Countries["SO"] = "SO";
    Countries["SR"] = "SR";
    Countries["SS"] = "SS";
    Countries["ST"] = "ST";
    Countries["SV"] = "SV";
    Countries["SX"] = "SX";
    Countries["SY"] = "SY";
    Countries["SZ"] = "SZ";
    Countries["TA"] = "TA";
    Countries["TC"] = "TC";
    Countries["TD"] = "TD";
    Countries["TG"] = "TG";
    Countries["TH"] = "TH";
    Countries["TJ"] = "TJ";
    Countries["TK"] = "TK";
    Countries["TL"] = "TL";
    Countries["TM"] = "TM";
    Countries["TN"] = "TN";
    Countries["TO"] = "TO";
    Countries["TR"] = "TR";
    Countries["TT"] = "TT";
    Countries["TV"] = "TV";
    Countries["TW"] = "TW";
    Countries["TZ"] = "TZ";
    Countries["UA"] = "UA";
    Countries["UG"] = "UG";
    Countries["US"] = "US";
    Countries["UY"] = "UY";
    Countries["UZ"] = "UZ";
    Countries["VA"] = "VA";
    Countries["VC"] = "VC";
    Countries["VE"] = "VE";
    Countries["VG"] = "VG";
    Countries["VI"] = "VI";
    Countries["VN"] = "VN";
    Countries["VU"] = "VU";
    Countries["WF"] = "WF";
    Countries["WS"] = "WS";
    Countries["XK"] = "XK";
    Countries["YE"] = "YE";
    Countries["YT"] = "YT";
    Countries["ZA"] = "ZA";
    Countries["ZM"] = "ZM";
    Countries["ZW"] = "ZW";
})(Countries = exports.Countries || (exports.Countries = {}));
;
// ISO 639-1 (excepted all constructed languages)
var Languages;
(function (Languages) {
    Languages["aa"] = "aa";
    Languages["ab"] = "ab";
    Languages["ae"] = "ae";
    Languages["af"] = "af";
    Languages["ak"] = "ak";
    Languages["am"] = "am";
    Languages["an"] = "an";
    Languages["ar"] = "ar";
    Languages["as"] = "as";
    Languages["av"] = "av";
    Languages["ay"] = "ay";
    Languages["az"] = "az";
    Languages["ba"] = "ba";
    Languages["be"] = "be";
    Languages["bg"] = "bg";
    Languages["bh"] = "bh";
    Languages["bi"] = "bi";
    Languages["bm"] = "bm";
    Languages["bn"] = "bn";
    Languages["bo"] = "bo";
    Languages["br"] = "br";
    Languages["bs"] = "bs";
    Languages["ca"] = "ca";
    Languages["ce"] = "ce";
    Languages["ch"] = "ch";
    Languages["co"] = "co";
    Languages["cr"] = "cr";
    Languages["cs"] = "cs";
    Languages["cu"] = "cu";
    Languages["cv"] = "cv";
    Languages["cy"] = "cy";
    Languages["da"] = "da";
    Languages["de"] = "de";
    Languages["dv"] = "dv";
    Languages["dz"] = "dz";
    Languages["ee"] = "ee";
    Languages["el"] = "el";
    Languages["en"] = "en";
    Languages["es"] = "es";
    Languages["et"] = "et";
    Languages["eu"] = "eu";
    Languages["fa"] = "fa";
    Languages["ff"] = "ff";
    Languages["fi"] = "fi";
    Languages["fj"] = "fj";
    Languages["fo"] = "fo";
    Languages["fr"] = "fr";
    Languages["fy"] = "fy";
    Languages["ga"] = "ga";
    Languages["gd"] = "gd";
    Languages["gl"] = "gl";
    Languages["gn"] = "gn";
    Languages["gu"] = "gu";
    Languages["gv"] = "gv";
    Languages["ha"] = "ha";
    Languages["he"] = "he";
    Languages["hi"] = "hi";
    Languages["ho"] = "ho";
    Languages["hr"] = "hr";
    Languages["ht"] = "ht";
    Languages["hu"] = "hu";
    Languages["hy"] = "hy";
    Languages["hz"] = "hz";
    Languages["id"] = "id";
    Languages["ig"] = "ig";
    Languages["ii"] = "ii";
    Languages["ik"] = "ik";
    Languages["is"] = "is";
    Languages["it"] = "it";
    Languages["iu"] = "iu";
    Languages["ja"] = "ja";
    Languages["jv"] = "jv";
    Languages["ka"] = "ka";
    Languages["kg"] = "kg";
    Languages["ki"] = "ki";
    Languages["kj"] = "kj";
    Languages["kk"] = "kk";
    Languages["kl"] = "kl";
    Languages["km"] = "km";
    Languages["kn"] = "kn";
    Languages["ko"] = "ko";
    Languages["kr"] = "kr";
    Languages["ks"] = "ks";
    Languages["ku"] = "ku";
    Languages["kv"] = "kv";
    Languages["kw"] = "kw";
    Languages["ky"] = "ky";
    Languages["la"] = "la";
    Languages["lb"] = "lb";
    Languages["lg"] = "lg";
    Languages["li"] = "li";
    Languages["ln"] = "ln";
    Languages["lo"] = "lo";
    Languages["lt"] = "lt";
    Languages["lu"] = "lu";
    Languages["lv"] = "lv";
    Languages["mg"] = "mg";
    Languages["mh"] = "mh";
    Languages["mi"] = "mi";
    Languages["mk"] = "mk";
    Languages["ml"] = "ml";
    Languages["mn"] = "mn";
    Languages["mr"] = "mr";
    Languages["ms"] = "ms";
    Languages["mt"] = "mt";
    Languages["my"] = "my";
    Languages["na"] = "na";
    Languages["nb"] = "nb";
    Languages["nd"] = "nd";
    Languages["ne"] = "ne";
    Languages["ng"] = "ng";
    Languages["nl"] = "nl";
    Languages["nn"] = "nn";
    Languages["no"] = "no";
    Languages["nr"] = "nr";
    Languages["nv"] = "nv";
    Languages["ny"] = "ny";
    Languages["oc"] = "oc";
    Languages["oj"] = "oj";
    Languages["om"] = "om";
    Languages["or"] = "or";
    Languages["os"] = "os";
    Languages["pa"] = "pa";
    Languages["pi"] = "pi";
    Languages["pl"] = "pl";
    Languages["ps"] = "ps";
    Languages["pt"] = "pt";
    Languages["qu"] = "qu";
    Languages["rm"] = "rm";
    Languages["rn"] = "rn";
    Languages["ro"] = "ro";
    Languages["ru"] = "ru";
    Languages["rw"] = "rw";
    Languages["sa"] = "sa";
    Languages["sc"] = "sc";
    Languages["sd"] = "sd";
    Languages["se"] = "se";
    Languages["sg"] = "sg";
    Languages["si"] = "si";
    Languages["sk"] = "sk";
    Languages["sl"] = "sl";
    Languages["sm"] = "sm";
    Languages["sn"] = "sn";
    Languages["so"] = "so";
    Languages["sq"] = "sq";
    Languages["sr"] = "sr";
    Languages["ss"] = "ss";
    Languages["st"] = "st";
    Languages["su"] = "su";
    Languages["sv"] = "sv";
    Languages["sw"] = "sw";
    Languages["ta"] = "ta";
    Languages["te"] = "te";
    Languages["tg"] = "tg";
    Languages["th"] = "th";
    Languages["ti"] = "ti";
    Languages["tk"] = "tk";
    Languages["tl"] = "tl";
    Languages["tn"] = "tn";
    Languages["to"] = "to";
    Languages["tr"] = "tr";
    Languages["ts"] = "ts";
    Languages["tt"] = "tt";
    Languages["tw"] = "tw";
    Languages["ty"] = "ty";
    Languages["ug"] = "ug";
    Languages["uk"] = "uk";
    Languages["ur"] = "ur";
    Languages["uz"] = "uz";
    Languages["ve"] = "ve";
    Languages["vi"] = "vi";
    Languages["wa"] = "wa";
    Languages["wo"] = "wo";
    Languages["xh"] = "xh";
    Languages["yi"] = "yi";
    Languages["yo"] = "yo";
    Languages["za"] = "za";
    Languages["zh"] = "zh";
    Languages["zu"] = "zu";
})(Languages = exports.Languages || (exports.Languages = {}));
;
var Currencies;
(function (Currencies) {
    Currencies["AED"] = "AED";
    Currencies["AFN"] = "AFN";
    Currencies["ALL"] = "ALL";
    Currencies["AMD"] = "AMD";
    Currencies["ANG"] = "ANG";
    Currencies["AOA"] = "AOA";
    Currencies["ARP"] = "ARP";
    Currencies["ARS"] = "ARS";
    Currencies["AUD"] = "AUD";
    Currencies["AWG"] = "AWG";
    Currencies["AZN"] = "AZN";
    Currencies["BAM"] = "BAM";
    Currencies["BBD"] = "BBD";
    Currencies["BDT"] = "BDT";
    Currencies["BGN"] = "BGN";
    Currencies["BHD"] = "BHD";
    Currencies["BIF"] = "BIF";
    Currencies["BMD"] = "BMD";
    Currencies["BND"] = "BND";
    Currencies["BOB"] = "BOB";
    Currencies["BOV"] = "BOV";
    Currencies["BRL"] = "BRL";
    Currencies["BSD"] = "BSD";
    Currencies["BTN"] = "BTN";
    Currencies["BWP"] = "BWP";
    Currencies["BYR"] = "BYR";
    Currencies["BYN"] = "BYN";
    Currencies["BZD"] = "BZD";
    Currencies["CAD"] = "CAD";
    Currencies["CDF"] = "CDF";
    Currencies["CHF"] = "CHF";
    Currencies["CLF"] = "CLF";
    Currencies["CLP"] = "CLP";
    Currencies["CNY"] = "CNY";
    Currencies["COP"] = "COP";
    Currencies["COU"] = "COU";
    Currencies["CRC"] = "CRC";
    Currencies["CUC"] = "CUC";
    Currencies["CUP"] = "CUP";
    Currencies["CVE"] = "CVE";
    Currencies["CYP"] = "CYP";
    Currencies["CZK"] = "CZK";
    Currencies["DJF"] = "DJF";
    Currencies["DKK"] = "DKK";
    Currencies["DOP"] = "DOP";
    Currencies["DZD"] = "DZD";
    Currencies["ECS"] = "ECS";
    Currencies["ECV"] = "ECV";
    Currencies["EGP"] = "EGP";
    Currencies["ERN"] = "ERN";
    Currencies["ETB"] = "ETB";
    Currencies["EUR"] = "EUR";
    Currencies["FJD"] = "FJD";
    Currencies["FKP"] = "FKP";
    Currencies["GBP"] = "GBP";
    Currencies["GEL"] = "GEL";
    Currencies["GHS"] = "GHS";
    Currencies["GIP"] = "GIP";
    Currencies["GMD"] = "GMD";
    Currencies["GNF"] = "GNF";
    Currencies["GTQ"] = "GTQ";
    Currencies["GWP"] = "GWP";
    Currencies["GYD"] = "GYD";
    Currencies["HKD"] = "HKD";
    Currencies["HNL"] = "HNL";
    Currencies["HRK"] = "HRK";
    Currencies["HTG"] = "HTG";
    Currencies["HUF"] = "HUF";
    Currencies["IDR"] = "IDR";
    Currencies["ILS"] = "ILS";
    Currencies["INR"] = "INR";
    Currencies["IQD"] = "IQD";
    Currencies["IRR"] = "IRR";
    Currencies["ISK"] = "ISK";
    Currencies["JMD"] = "JMD";
    Currencies["JOD"] = "JOD";
    Currencies["JPY"] = "JPY";
    Currencies["KES"] = "KES";
    Currencies["KGS"] = "KGS";
    Currencies["KHR"] = "KHR";
    Currencies["KMF"] = "KMF";
    Currencies["KPW"] = "KPW";
    Currencies["KRW"] = "KRW";
    Currencies["KZT"] = "KZT";
    Currencies["KWD"] = "KWD";
    Currencies["KYD"] = "KYD";
    Currencies["LAK"] = "LAK";
    Currencies["LBP"] = "LBP";
    Currencies["LKR"] = "LKR";
    Currencies["LRD"] = "LRD";
    Currencies["LSL"] = "LSL";
    Currencies["LTL"] = "LTL";
    Currencies["LVL"] = "LVL";
    Currencies["LYD"] = "LYD";
    Currencies["MAD"] = "MAD";
    Currencies["MDL"] = "MDL";
    Currencies["MGA"] = "MGA";
    Currencies["MKD"] = "MKD";
    Currencies["MMK"] = "MMK";
    Currencies["MNT"] = "MNT";
    Currencies["MOP"] = "MOP";
    Currencies["MRU"] = "MRU";
    Currencies["MUR"] = "MUR";
    Currencies["MVR"] = "MVR";
    Currencies["MWK"] = "MWK";
    Currencies["MXN"] = "MXN";
    Currencies["MXV"] = "MXV";
    Currencies["MYR"] = "MYR";
    Currencies["MZN"] = "MZN";
    Currencies["NAD"] = "NAD";
    Currencies["NGN"] = "NGN";
    Currencies["NHF"] = "NHF";
    Currencies["NIO"] = "NIO";
    Currencies["NOK"] = "NOK";
    Currencies["NPR"] = "NPR";
    Currencies["NZD"] = "NZD";
    Currencies["OMR"] = "OMR";
    Currencies["PAB"] = "PAB";
    Currencies["PEN"] = "PEN";
    Currencies["PGK"] = "PGK";
    Currencies["PHP"] = "PHP";
    Currencies["PKR"] = "PKR";
    Currencies["PLN"] = "PLN";
    Currencies["PYG"] = "PYG";
    Currencies["QAR"] = "QAR";
    Currencies["RON"] = "RON";
    Currencies["RSD"] = "RSD";
    Currencies["RUB"] = "RUB";
    Currencies["RWF"] = "RWF";
    Currencies["SAR"] = "SAR";
    Currencies["SBD"] = "SBD";
    Currencies["SCR"] = "SCR";
    Currencies["SDG"] = "SDG";
    Currencies["SEK"] = "SEK";
    Currencies["SGD"] = "SGD";
    Currencies["SHP"] = "SHP";
    Currencies["SLL"] = "SLL";
    Currencies["SOS"] = "SOS";
    Currencies["SRD"] = "SRD";
    Currencies["SSP"] = "SSP";
    Currencies["STD"] = "STD";
    Currencies["SVC"] = "SVC";
    Currencies["SYP"] = "SYP";
    Currencies["SZL"] = "SZL";
    Currencies["THB"] = "THB";
    Currencies["TJS"] = "TJS";
    Currencies["TMT"] = "TMT";
    Currencies["TND"] = "TND";
    Currencies["TOP"] = "TOP";
    Currencies["TRY"] = "TRY";
    Currencies["TTD"] = "TTD";
    Currencies["TWD"] = "TWD";
    Currencies["TZS"] = "TZS";
    Currencies["UAH"] = "UAH";
    Currencies["UGX"] = "UGX";
    Currencies["USD"] = "USD";
    Currencies["USN"] = "USN";
    Currencies["UYU"] = "UYU";
    Currencies["UYW"] = "UYW";
    Currencies["UZS"] = "UZS";
    Currencies["VEB"] = "VEB";
    Currencies["VES"] = "VES";
    Currencies["VND"] = "VND";
    Currencies["VUV"] = "VUV";
    Currencies["WST"] = "WST";
    Currencies["XAF"] = "XAF";
    Currencies["XAG"] = "XAG";
    Currencies["XAU"] = "XAU";
    Currencies["XCD"] = "XCD";
    Currencies["XDR"] = "XDR";
    Currencies["XFO"] = "XFO";
    Currencies["XFU"] = "XFU";
    Currencies["XOF"] = "XOF";
    Currencies["XPD"] = "XPD";
    Currencies["XPF"] = "XPF";
    Currencies["XPT"] = "XPT";
    Currencies["XSU"] = "XSU";
    Currencies["XUA"] = "XUA";
    Currencies["YER"] = "YER";
    Currencies["ZAR"] = "ZAR";
    Currencies["ZMK"] = "ZMK";
    Currencies["ZWL"] = "ZWL";
})(Currencies = exports.Currencies || (exports.Currencies = {}));
;
//# sourceMappingURL=types.js.map